/*!
 * @file        bmp561_wupt.h
 *
 * @brief       This file contains all the functions prototypes for the WUPT firmware library
 *
 * @version     V1.0.0
 *
 * @date        2025-01-01
 *
 * @attention
 *
 *  Copyright (C) 2025 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __BMP561_WUPT_H
#define __BMP561_WUPT_H

#ifdef __cplusplus
  extern "C" {
#endif

#include "bmp561.h"

/** @addtogroup Peripherals_Library Standard Peripheral Library
  @{
*/

/** @addtogroup WUPT_Driver WUPT Driver
  @{
*/

/** @addtogroup WUPT_Functions Functions
  @{
*/

/* WUPT configuration */
void WUPT_Reset(void);
void WUPT_EnableInterrupt(void);
void WUPT_DisableInterrupt(void);
void WUPT_EnableAutoWakeup(void);
void WUPT_DisableAutoWakeup(void);
uint16_t WUPT_ReadWakeUpStatus(void);
void WUPT_ClearWakeUpStatus(void);
void WUPT_SetPrescaler(uint16_t prescaler);
void WUPT_SetAutoWakeupTimebase(uint32_t cycle);
uint32_t WUPT_GetAutoWakeupTimebase(void);
void WUPT_ClearDivAndTimebase(void);

/**@} end of group WUPT_Functions*/
/**@} end of group WUPT_Driver*/
/**@} end of group Peripherals_Library*/

#ifdef __cplusplus
}
#endif

#endif /* __BMP561_WUPT_H */
